Video Sound Effects Generator
Integriruj
cassetteai/video-sound-effects-generator
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/cassetteai/video-sound-effects-generator?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video_url": {
"url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/cassetteai/video-sound-effects-generator?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video_url": {
"url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video_url": {
"url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
},
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/cassetteai/video-sound-effects-generator", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/rom/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "cassetteai/video-sound-effects-generator",
"input": {
"video_url": {
"url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
}
}
Kall o Video Sound Effects Generator modelo (cassetteai/video-sound-effects-generator) vas o Doitong API. Dokumentacia vaš agentura: https://doitong.com/rom/developers/models/cassetteai/video-sound-effects-generator.md
POST https://api.doitong.ru/v1/run/cassetteai/video-sound-effects-generator?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"video_url": {
"url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
}
Te o response status si "queued" vaj "running", ker polling GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 dži kaj te avel "succeeded"; e fajlo si andro outputs[].url. POST https://api.doitong.ru/v1/quote/cassetteai/video-sound-effects-generator sa jekhe body-esa del o precizno molipen angl-o phiripen.
Fajlo sar o misalo: $0.034 34 API krediti · ≈ ₽3.66 tire fajlo si merime angl-o phiripen Phir les kate
Tiro nevo API klidin. Dikhavel pes akana numa thaj si angleder ando kodo thaj ando API klidin kotor tele. Garav les: na thovel les ande kodo savo keren andre jekh browser.
Tiro prvo rezultato si kate
Ker tele jekh mangipen thaj phir les tire API klidinosa. E rezultatur si kopirime amare arakhipneste, vično vaj 7 dives bilačhes.
Ker jekh mangipen
O kontrolura kerde si katar e schemaske. O kodo thaj e cena menjinen sar tu len menjines.
/run/cassetteai/video-sound-effects-generator?wait=20
hesab → $0.034
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/cassetteai/video-sound-effects-generator?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video_url": {
"url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/cassetteai/video-sound-effects-generator?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video_url": {
"url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video_url": {
"url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
},
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/cassetteai/video-sound-effects-generator", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "cassetteai/video-sound-effects-generator",
"input": {
"video_url": {
"url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
},
"wait_seconds": 20
}
}
}
Phandel kava mangipen
Tiro kluč ačhel kadale browsereste: bičhalel pes numa ko Doitong API thaj šuvav pes (localStorage) numa te tiknes Remember. Le jekh API ključ
Palal Video Sound Effects Generator
Lel video fajlo sar jekoro inputo, analizinel les thaj kerel jekhutne zvukoske efekti. O rezultato si o finalno video neve SFX trackesa. Na si prompto vaj duration settingura, vašoda si lačho sigutne zvukoske pasenge ande šute klipura.
Parametra
video_urltrubul
video_url.urltrubul
video_url.content_typeopcionalno
video_url.file_nameopcionalno
video_url.file_sizeopcionalno
video_url.file_dataopcionalno
Rezultato
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "cassetteai/video-sound-effects-generator",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 34,
"usd": "0.034",
"charged": 34,
"refunded": 0
},
"input": {
"video_url": {
"url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Outputoske fieldura
- video
- object {url, content_type, file_name, file_size}Paluno video savo lel nevo kerdo sound-effects tracko.
Aver variantura e CassetteAI
Bute modeli: Video ko Audio
AI agentenge: kadija rig sar Markdown si kate https://doitong.com/rom/developers/models/cassetteai/video-sound-effects-generator.md. Sa e modelura thaj e gidura: https://doitong.com/developers/llms.txt